# changelog : manage changes on a server

Based on the Masters Book of Serious Sysadmin's Best Practices Chapter, this script aims at unifying and simplifying the management of changelog files on a server.

## Crash course

```
wget https://this.repo.srs.ly/alban/changelog/bla/bla/raw/changelog
chmod +x changelog
sudo ./changelog
```

The script will ask for your name if no `CHANGELOG_USERNAME` environment variable is found.

Then it will ask for a first change informations:

* The nature of the change: which software / domain did you change? Why?
* Some comments: How did you do it? What was happening? Is it fixed?

**Limitations**

* Please note that to enter multiline comments, you have for now to escape newline characters using the `\\\\n` sequence. Ugly. 

* By default, it will attempt to create and edit `/etc/changelog`. You better be running it as root, by default.


# Possible improvements

* Enable a sudo requirement / ways to restart oneself as a root user
* Enable simple multiline comments
* Provide a way to attach files
* Provide a way (plugins?) to report each change to a central server




